## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate sequoia-cert-store

Name:           rust-sequoia-cert-store
Version:        0.4.2
Release:        %autorelease
Summary:        Certificate database interface

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-cert-store
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          sequoia-cert-store-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * relax rusqlite dependency to allow building with version 0.28
# * exclude integration tests, test data, and scripts from installed files
Patch:          sequoia-cert-store-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A certificate database interface.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
# build with the default crypto backend (Nettle)
%cargo_build -f sequoia-openpgp/crypto-nettle

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Feb 14 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.2-1
- Update to version 0.4.2; Fixes RHBZ#2260953

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Dec 14 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-1
- Update to version 0.4.0; Fixes RHBZ#2253247

* Wed Aug 02 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-1
- Update to version 0.3.2

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 10 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.0-1
- Initial import (#2186844)
## END: Generated by rpmautospec
